curl --request POST \
--url https://api.pubrio.com/companies/lookalikes/search \
--header 'Content-Type: application/json' \
--header 'pubrio-api-key: <api-key>' \
--data '
{
"domain_search_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locations": [
"US",
"SG",
"CN"
],
"exclude_locations": [
"CN",
"US",
"RU",
"CA"
],
"technologies": [
123
],
"categories": [
123
],
"verticals": [
123
],
"vertical_categories": [
123
],
"vertical_sub_categories": [
123
],
"domain": "pubrio.com",
"linkedin_url": "https://www.linkedin.com/company/pubrio",
"employees": [
[
1,
10
],
[
11,
20
],
[
10001
]
],
"founded_dates": [
2018,
2024
],
"revenues": [
0,
100000
],
"job_locations": [
"US",
"SG",
"CN"
],
"job_posted_dates": [
"2025-01-01",
"2025-01-10"
],
"job_titles": [
"sales manager",
"marketing manager"
],
"news_categories": [
"launches"
],
"news_published_dates": [
"2025-01-01",
"2025-01-10"
],
"is_enable_similarity_search": true,
"similarity_score": 0.7,
"per_page": 25,
"page": 1
}
'import requests
url = "https://api.pubrio.com/companies/lookalikes/search"
payload = {
"domain_search_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locations": ["US", "SG", "CN"],
"exclude_locations": ["CN", "US", "RU", "CA"],
"technologies": [123],
"categories": [123],
"verticals": [123],
"vertical_categories": [123],
"vertical_sub_categories": [123],
"domain": "pubrio.com",
"linkedin_url": "https://www.linkedin.com/company/pubrio",
"employees": [[1, 10], [11, 20], [10001]],
"founded_dates": [2018, 2024],
"revenues": [0, 100000],
"job_locations": ["US", "SG", "CN"],
"job_posted_dates": ["2025-01-01", "2025-01-10"],
"job_titles": ["sales manager", "marketing manager"],
"news_categories": ["launches"],
"news_published_dates": ["2025-01-01", "2025-01-10"],
"is_enable_similarity_search": True,
"similarity_score": 0.7,
"per_page": 25,
"page": 1
}
headers = {
"pubrio-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'pubrio-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domain_search_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
locations: ['US', 'SG', 'CN'],
exclude_locations: ['CN', 'US', 'RU', 'CA'],
technologies: [123],
categories: [123],
verticals: [123],
vertical_categories: [123],
vertical_sub_categories: [123],
domain: 'pubrio.com',
linkedin_url: 'https://www.linkedin.com/company/pubrio',
employees: [[1, 10], [11, 20], [10001]],
founded_dates: [2018, 2024],
revenues: [0, 100000],
job_locations: ['US', 'SG', 'CN'],
job_posted_dates: ['2025-01-01', '2025-01-10'],
job_titles: ['sales manager', 'marketing manager'],
news_categories: ['launches'],
news_published_dates: ['2025-01-01', '2025-01-10'],
is_enable_similarity_search: true,
similarity_score: 0.7,
per_page: 25,
page: 1
})
};
fetch('https://api.pubrio.com/companies/lookalikes/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"pagination": {
"page": 1,
"per_page": 25,
"total_entries": 45234700,
"total_pages": 1809388
},
"lookalikes": [
{
"logo_url": "https://buckets.pubrio.com/company-logo/MjI0NDc1OTMxaWxqOXNzbmoxdHdpdHRlci5jb20=.jpg",
"company_name": "Twitter",
"emails": [
"..."
],
"phones": [
"..."
],
"contacts": [
"..."
],
"founded_year": 2006,
"specialties": [
"Software Development"
],
"industry": "Software Development",
"domain": "twitter.com",
"domain_search_id": "61a73da7-2efc-41a5-a252-a8a8df29925a",
"domain_id": 224475931,
"linkedin_company_id": 44005587,
"linkedin_name": "twitter",
"is_company_url_active": true,
"domain_ids": [
224475931,
1758889566,
368242865
],
"company_keywords": [
"realtime information",
"social commerce",
"online shopping",
"classifieds",
"craigslist killers",
"e-commerce",
"killers",
"consumer internet",
"internet",
"information technology",
"edp services",
"technology",
"software development",
"microblogging",
"social networking",
"public conversation",
"user engagement",
"content sharing",
"advertising solutions",
"monetization",
"community building",
"digital wallet",
"ai integration",
"user safety"
],
"company_size": 1500,
"youtube_url": null,
"crunchbase_url": null,
"linkedin_url": "http://www.linkedin.com/company/twitter",
"instagram_url": null,
"facebook_url": "http://facebook.com/twitterinc",
"twitter_url": "https://twitter.com/x",
"github_url": null,
"x_url": null,
"location": "United States",
"company_ranking": null,
"company_url": "http://twitter.com",
"saved_lists": null,
"company_size_printed": "1,500"
},
"..."
]
}
}{
"code": 40001,
"message": "Errors and codes will vary depending on the scenario, please see the documentation for information.",
"details": {}
}{
"error": "Request rate limit exceeded. Please wait and try again later."
}{
"error": "An unexpected error occurred on the server."
}Lookalike Companies Search
Deprecated. Use POST /companies/search/similar instead. The request body is the same; results are returned in data.lookalikes with a data.pagination object.
Find companies similar to a specified target company based on firmographic and technographic attributes.
Authorizations
Body
- Domain Search ID
- Domain
- LinkedIn URL
A unique identifier for the company search operation.
ISO 3166-1 alpha-2 (cca2) is used for filtering locations. Check out location endpoints under the Filters tab for more information.
["US", "SG", "CN"]
ISO 3166-1 alpha-2 (cca2) is used to filter out locations that does not need to be returned. Check out location endpoints under the Filters tab for more information.
["CN", "US", "RU", "CA"]
A list of tag_id used to search for specific technologies used by companies. To find the ID, call the technology endpoint under the Filters tab.
This filter supports is_enable_similarity_search, once enabled you can enter any free text, e.g. ["Shopify"].
A product name the technology list knows matches that product and its own products ("Salesforce" also matches Salesforce Desk and Salesforce Service Cloud), never look-alikes; other text matches by similarity.
A list of category_id used to search for specific categories of technology used by companies. To find the ID, call the category endpoint under the Filters tab.
This filter supports is_enable_similarity_search, once enabled you can enter any free text, e.g. ["CDN"].
A list of vertical_id used to search for companies in a specific vertical or industry. To find the ID, call the vertical endpoint under the Filters tab.
This filter supports is_enable_similarity_search, once enabled you can enter any free text, e.g. ["AI"].
A list of vertical_category_id used to search for companies in a specific vertical category. To find the ID, call the vertical category endpoint under the Filters tab.
This filter supports is_enable_similarity_search, once enabled you can enter any free text, e.g. ["Information Technology"].
A list of vertical_sub_category_id used to search for companies in a specific vertical sub-category. To find the ID, call the vertical sub category endpoint under the Filters tab.
This filter supports is_enable_similarity_search, once enabled you can enter any free text, e.g. ["Software"].
A company domain used for company search operations. If we receive a URL such as www.pubrio.com or https://docs.pubrio.com/, the system will convert it to pubrio.com for processing.
"pubrio.com"
The fully formed URL of the LinkedIn company profile. URL begin with http and contain linkedin.com/company/
"https://www.linkedin.com/company/pubrio"
The number range of employees working for the company. This enables you to find companies based on headcount. You can add multiple ranges to expand your search results.
Check out company size endpoints under the Filters tab for more information.
[[1, 10], [11, 20], [10001]]
Years of company founded range. The maximum value founded is the current year.
[2018, 2024]
Minimum and maximum range of company revenue.
[0, 100000]
ISO 3166-1 alpha-2 (cca2) is used for filtering locations. Check out location endpoints under the Filters tab for more information.
["US", "SG", "CN"]
Date range of the posted date. The maximum value is the current day. Day boundaries follow your workspace timezone.
["2025-01-01", "2025-01-10"]
Job titles associated with the individuals you aim to locate.
The results will also encompass job titles that include similar terminology, even if they do not match exactly. For instance, searching for software engineer may yield results for individuals with the title senior software engineer.
["sales manager", "marketing manager"]
List of category slugs for searching for specific news categories. To find a slug, call the news categories endpoint under the Filters tab.
["launches"]
Date range of the published date. The maximum value is the current day. Day boundaries follow your workspace timezone.
["2025-01-01", "2025-01-10"]
When enabled, the filters listed above that support similarity searches can be filled with free text for specific IDs.
It is used in conjunction with is_enable_similarity_search. This number is used to analyze whether a specific slug (e.g. vertical industry, technology) is similar to the user input, and the higher the number, the more stringent it is.
0.7
Records per page. Defaults to 25, which is also the ceiling on most plans — the limit is your subscription's max_search_per_page, returned by Profile. Exceeding it returns HTTP 416 with code 41676 (or 41613 on company and people search), not a clamped result set.
x <= 2525
Response
Successful response containing company search details.

